#
# spec file for package suse-manager-server-release (Version 1.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugzilla.novell.com/
#

# norootforbuild


Name:           suse-manager-server-release
%define         product SUSE-Manager-Server
Summary:        SUSE Manager Server
Version:        1.2
Release:        1.4
License:        BSD 3-Clause
Group:          System/Fhs

Provides:       %name-%version
Provides:       product()
Provides:       product(SUSE-Manager-Server) = %version-%release
Requires:       product_flavor(SUSE-Manager-Server)

# provides to be able to act as base SLES-like product
Recommends:     branding
Provides:       distribution-release
Provides:       sles-release = 11.1
Provides:       product(SUSE_SLE) = 11.1-%{release}
Provides:       product(SUSE_SLE-SP1) = 11.1-%{release}
Provides:       product(SUSE_SLES) = 11.1-%{release}
Provides:       product(SUSE_SLES-SP1) = 11.1-%{release}

AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SUSE Manager appliance


%package cd
License:        BSD 3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(cd)
Provides:       product_flavor(SUSE-Manager-Server) = %version-%release
Summary:        SUSE Manager Server

%description cd
SUSE Manager appliance

%files cd
%defattr(-,root,root)
%doc %{_defaultdocdir}/suse-manager-server-release-cd


%prep

%build


%install
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/suse-manager-server-release-cd
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/suse-manager-server-release-cd/README << EOF
This package just exist just for providing the product flavor 'cd'.

EOF

mkdir -p $RPM_BUILD_ROOT/etc
echo -e "\nWelcome to SUSE Manager Server  (%{_target_cpu}) - Kernel \\\r (\\\l).\n\n" > $RPM_BUILD_ROOT/etc/issue
echo -e "Welcome to SUSE Manager Server  (%{_target_cpu}) - Kernel %%r (%%t)." > $RPM_BUILD_ROOT/etc/issue.net

echo "SUSE Linux Enterprise Server 11 (%{_target_cpu})" > $RPM_BUILD_ROOT/etc/SuSE-release
echo VERSION = 11 >> $RPM_BUILD_ROOT/etc/SuSE-release
echo PATCHLEVEL = 1 >> $RPM_BUILD_ROOT/etc/SuSE-release
touch $RPM_BUILD_ROOT/etc/motd


mkdir -p $RPM_BUILD_ROOT/etc/products.d
cat >$RPM_BUILD_ROOT/etc/products.d/suse-manager-server.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product id="suse-manager-server-12" schemeversion="0">
  <vendor>SUSE LINUX Products GmbH, Nuernberg, Germany</vendor>
  <name>SUSE-Manager-Server</name>
  <version>1.2</version>
  <patchlevel>0</patchlevel>
  <release>%{release}</release>
  <arch>%{_target_cpu}</arch>
  <productline>manager</productline>
  <register>
    <target>sle-11-%{_target_cpu}</target>
    <release></release>
    <repositories>
      <repository path="obs://build.suse.de/SUSE:SLE-11-SP1:GA:Products:Test/standard" />
      <repository path="obs://build.suse.de/SUSE:SLE-11-SP1:GA/standard" />
      <repository path="obs://build.suse.de/SUSE:SLE-11:Update/snapshot-SP1" />
      <repository path="obs://build.suse.de/SUSE:SLE-11:GA/standard" />
    </repositories>
  </register>
  <upgrades />
  <summary>SUSE Manager Server</summary>
  <description>SUSE Manager Server appliance</description>
  <urls>
    <url name="bugtracker">https://bugzilla.novell.com/</url>
    <url name="releasenotes">http://www.novell.com/linux/releasenotes/%{_target_cpu}/SUSE-MANAGER/1.2/release-notes-suse-manager.rpm</url>
  </urls>
  <buildconfig>
    <producttheme>SLES</producttheme>
  </buildconfig>
  <installconfig>
    <defaultlang>en_US</defaultlang>
    <datadir>suse</datadir>
    <descriptiondir>suse/setup/descr</descriptiondir>
    <releasepackage name="suse-manager-server-release" flag="EQ" version="1.2" release="%{release}" />
    <distribution>SUSE_SLE</distribution>
  </installconfig>
  <runtimeconfig />
</product>

EOF


%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%dir /etc/products.d
/etc/products.d/*.prod
/etc/SuSE-release
/etc/issue
/etc/issue.net
/etc/motd

%changelog
